# Generated by Django 4.2.9 on 2024-09-20 00:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('apps_tenant', '0003_alter_tenant_address_alter_tenant_city_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='SubscriptionPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('BASIC', 'Basic Plan'), ('PRO', 'Pro Plan'), ('ENTERPRISE', 'Enterprise Plan')], default='BASIC', help_text='The subscription plan these features apply to.', max_length=10, unique=True)),
                ('price', models.DecimalField(decimal_places=2, default=0.0, help_text='Price of the plan', max_digits=6)),
                ('description', models.TextField(blank=True, help_text='Description of the subscription plan')),
                ('user_limit', models.IntegerField(default=5, help_text='Number of users allowed')),
                ('department_limit', models.IntegerField(default=5, help_text='Number of departments allowed')),
                ('vulnerability_limit', models.IntegerField(default=5, help_text='Number of vulnerabilities allowed')),
                ('storage_limit', models.IntegerField(default=5, help_text='Storage limit in GB')),
                ('dashboard_access', models.BooleanField(default=False, help_text='Access to dashboard')),
                ('api_access', models.BooleanField(default=False, help_text='Access to API')),
                ('advanced_support', models.BooleanField(default=False, help_text='Access to advanced support')),
            ],
        ),
        migrations.AddField(
            model_name='tenant',
            name='subscription_plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='tenants', to='apps_tenant.subscriptionplan'),
        ),
    ]
